# for VineLinux 3.x
%define fontsjp TrueType-sazanami

%define exec_texhash [ -x %{_bindir}/texconfig-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/texconfig-sys rehash 2>/dev/null
%define exec_updmap  [ -x %{_bindir}/updmap-sys ]    && PATH=%{_bindir}:$PATH %{_bindir}/updmap-sys --nostop 2>/dev/null

Summary: TeX distribution teTeX with Japanese patch collection 'ptetex'
Name: ptetex3
Version: 20060615
Release: 1
Source0: http://tutimura.ath.cx/~nob/tex/ptetex/ptetex3/%{name}-%{version}.tar.gz
Source1: http://www.ring.gr.jp/pub/text/CTAN/systems/unix/teTeX/3.0/distrib/tetex-src-3.0.tar.gz
Source2: http://www.ring.gr.jp/pub/text/CTAN/systems/unix/teTeX/3.0/distrib/tetex-texmf-3.0po.tar.gz
URL: http://www.nn.iij4u.or.jp/~tutimura/tex/ptetex.html
License: distributable
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
Requires: ed mktemp
PreReq:        ghostscript %{fontsjp}
BuildRequires: ghostscript %{fontsjp}
BuildRequires: build-essential bison flex
BuildRequires: zlib-devel libpng-devel ncurses-devel
BuildRequires: XOrg-devel openMotif-devel
Provides: tetex = 3.0 tetex-extra tetex-doc
Provides: xdvik dvipdfmx dvipng jvf tetex-macros texmacro-otf
#PreReq:        tetex-texmf
#BuildRequires: tetex-texmf

%description
'ptetex' is Japanes patch collection for teTeX.

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%setup -q
cat <<EOF > my_option
SRC_DIR=%{_sourcedir}
REAL_PREFIX=%{_prefix}
REAL_DATA=%{_datadir}
#TEXMFDIST=%{_datadir}/texmf-dist
export CFLAGS="$RPM_OPT_FLAGS"

CONF_OPTION="\$CONF_OPTION --without-dviljk"
CONF_OPTION="\$CONF_OPTION --without-info"
CONF_OPTION="\$CONF_OPTION --without-texi2html"
CONF_OPTION="\$CONF_OPTION --without-texinfo"

CONF_OPTION="\$CONF_OPTION --with-system-zlib"
CONF_OPTION="\$CONF_OPTION --with-system-pnglib"
CONF_OPTION="\$CONF_OPTION --with-system-gd"
CONF_OPTION="\$CONF_OPTION --with-system-ncurses"
CONF_OPTION="\$CONF_OPTION --enable-shared"

MAKE_OPTION="\$MAKE_OPTION vartexfonts=%{_var}/lib/texmf"
EOF
# remove useless entry in 7font-search.sh
perl -ni -e 'print "alias /usr/share/fonts/alias/TrueType\n" if /^truetype/;
	s/sazanami-mincho/mincho-mr-jisx0208.1983-0/;
	s/sazanami-gothic/gothic-mr-jisx0208.1983-0/;
	print unless /^X11TTF / or /^Acrobat/ or /^\s(df|lx).*\.ttc/' \
	7font-search.sh
# extract files
make PREFIX=`pwd` x
# avoid dependency on perl-Tk
rm -rf teTeX/share/texmf-dist/scripts/context/perl

%build
make PREFIX=`pwd` c macro otf babel fonty

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/texmf
cp -a teTeX/* $RPM_BUILD_ROOT%{_prefix}

### Files list
find %{buildroot} -type f -or -type l | \
    sed -e "s|%{buildroot}||g" \
	-e "s|.*\.cnf$|%config(noreplace) &|" \
	-e "s|.*\.cfg$|%config(noreplace) &|" \
	-e "s|.*/ls-R$|%ghost &|" \
	-e "s|.*/texmf-var/.*\.log$|%ghost &|" \
	-e "s|.*/texmf-var/.*map$|%ghost &|" \
	-e "s|.*/texmf-var/.*\.fmt$|%verify(not size md5 mtime) &|" \
	-e "s|.*/texmf-var/.*\.mem$|%verify(not size md5 mtime) &|" \
	-e "s|.*/texmf-var/.*\.base$|%verify(not size md5 mtime) &|" \
	-e "s|.*/man/man.*|&*|" \
	-e "s|.*/info/.*|&*|" \
						> filelist.full
find %{buildroot}%{_datadir}/texmf* -type d | \
    sed -e "s|^%{buildroot}|%dir |" \
	-e "s|$|/|"				>> filelist.full
echo "%dir %{_includedir}/kpathsea"		>> filelist.full

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%preun
rm -rf %{_var}/lib/texmf/*
exit 0

%post
/sbin/ldconfig
%{exec_texhash}
%{exec_updmap}
exit 0

%postun
/sbin/ldconfig
exit 0


%files -f filelist.full
%defattr(-,root,root)
%attr(1777,root,root) %dir %{_var}/lib/texmf


%changelog
* Mon Mar 20 2006 Nobuyuki Tsuchimura <tutimura(a)nn.iij4u.or.jp>
- added %verify() attribute to *.fmt and *.mem and *.base.

* Mon Dec  5 2005 Nobuyuki Tsuchimura <tutimura(a)nn.iij4u.or.jp>
- automatic yes in make font (target "fonty").

* Sat Dec  3 2005 Nobuyuki Tsuchimura <tutimura(a)nn.iij4u.or.jp>
- enhanced %exec_texhash macro (check if the command exist).

* Tue Aug 30 2005 Nobuyuki Tsuchimura <tutimura(a)nn.iij4u.or.jp>
- added 'babel' target for make.

* Thu Jun 16 2005 Nobuyuki Tsuchimura <tutimura(a)nn.iij4u.or.jp>
- 1st release.
